%global pypi_name sphinxcontrib-seqdiag

Summary:        A sphinx extension for embedding sequence diagram using seqdiag
Name:           python-%{pypi_name}
Version:        3.0.0
Release:        2%{?dist}
License:        BSD
URL:            https://github.com/blockdiag/sphinxcontrib-seqdiag
Source0:        %{url}/archive/refs/tags/%{version}.tar.gz

BuildArch:      noarch

%description
A sphinx extension for embedding sequence diagram using seqdiag.
This extension enables you to insert sequence diagrams into your
document.

%package -n python3-%{pypi_name}
Summary:        Sphinx "seqdiag" extension
BuildRequires:  python3-setuptools python3-devel
Requires:       python3-blockdiag python3-seqdiag python3-sphinx

%description -n python3-%{pypi_name}
A sphinx extension for embedding sequence diagram using seqdiag.
This extension enables you to insert sequence diagrams into your
document.


%prep
%setup -q -n %{pypi_name}-%{version}


%build
%py3_build


%install
%py3_install


%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/sphinxcontrib
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/*-nspkg.pth


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 18 2023 Miaojun Dong <zoedong@tencent.com> - 3.0.0-1
- initial build
